package a3test.sound;

import jp.sourceforge.acerola3d.a3.*;

public class MP3Test {
    public static void main(String args[]) throws Exception {
        //System.setProperty("j3d.audiodevice","com.sun.j3d.audioengines.javasound.JavaSoundMixer");
        //System.setProperty("acerola3d.action3d.sound","JOAL_DIRECT");
        A3Window window = new A3Window(300,300);
        Action3D a3 = new Action3D("x-res:///mp3test.a3");
        //Action3D a3 = new Action3D("x-res:///dog_cat.a3");
        window.add(a3);
        Thread.sleep(1000);
        a3.change("bgm1");
        System.out.println("change:bgm1");
        Thread.sleep(3000);
        a3.change("bgm2");
        System.out.println("change:bgm2");
        Thread.sleep(3000);
        a3.change("bgm1");
        System.out.println("change:bgm1");
    }
}
